GDB (xrefs)

Classes | Enumerations | Functions
mi-parse.h File Reference
`#include "run-time-clock.h"`
`#include <chrono>`
`#include "mi-cmds.h"`

Go to the source code of this file.

## Classes
struct | mi_timestamp
struct | mi_parse

## Enumerations
enum | mi_command_type { MI_COMMAND, CLI_COMMAND }

## Functions
std::unique_ptr< struct mi_parse > | mi_parse (const char *cmd, char **token)
enum print_values | mi_parse_print_values (const char *name)

## Enumeration Type Documentation

## ◆ mi_command_type

enum mi_command_type

Enumerator
MI_COMMAND |
CLI_COMMAND |

Definition at line 37 of file mi-parse.h.

## Function Documentation

## ◆ mi_parse()

std::unique_ptr<struct mi_parse> mi_parse | ( | const char * | cmd,
|  | char ** | token
| ) |  |

Definition at line 237 of file mi-parse.c.

References _, CLI_COMMAND, error(), extract_arg(), language_auto, language_enum(), language_unknown, MI_COMMAND, mi_lookup(), mi_parse_argv(), parse(), skip_spaces(), string, throw_error(), UNDEFINED_COMMAND_ERROR, and xmalloc().

Referenced by mi_execute_command().

## ◆ mi_parse_print_values()

enum print_values mi_parse_print_values | ( | const char * | name | ) |

Definition at line 387 of file mi-parse.c.

References _, error(), mi_all_values, mi_no_values, mi_simple_values, name, PRINT_ALL_VALUES, PRINT_NO_VALUES, and PRINT_SIMPLE_VALUES.

Referenced by mi_cmd_stack_list_args(), mi_cmd_stack_list_locals(), mi_cmd_stack_list_variables(), mi_cmd_trace_frame_collected(), mi_cmd_var_list_children(), and mi_cmd_var_update().